* [PATCH] added test package to ti-ipc recipe
2013-05-08 0:28 [PATCH] adding ipc 3.x recipe to bitbake Sajesh Kumar Saran
@ 2013-05-08 0:28 ` Sajesh Kumar Saran
2013-05-08 0:28 ` [PATCH] incrementing IPC verion to 3.0.0.16 Sajesh Kumar Saran
` (2 subsequent siblings)
3 siblings, 0 replies; 6+ messages in thread
From: Sajesh Kumar Saran @ 2013-05-08 0:28 UTC (permalink / raw)
To: meta-arago
---
.../recipes-bsp/ti-ipc/ti-ipc_3.00.00.bb | 15 ++++++++++++---
1 file changed, 12 insertions(+), 3 deletions(-)
diff --git a/meta-arago-extras/recipes-bsp/ti-ipc/ti-ipc_3.00.00.bb b/meta-arago-extras/recipes-bsp/ti-ipc/ti-ipc_3.00.00.bb
index 1e87abc..deb0356 100644
--- a/meta-arago-extras/recipes-bsp/ti-ipc/ti-ipc_3.00.00.bb
+++ b/meta-arago-extras/recipes-bsp/ti-ipc/ti-ipc_3.00.00.bb
@@ -10,8 +10,9 @@ LICENSE = "BSD"
LIC_FILES_CHKSUM = "file://products.mak;beginline=2;endline=30;md5=195feadf798bb4165bcb1a23ffd50dbb"
SECTION = "console"
COMPATIBLE_MACHINE = "keystone"
+TARGET_PLATFORM = "tci6638"
-PR = "r11"
+PR = "r18"
BRANCH ?= "master"
SRCREV = "3.00.00.15_eng"
@@ -20,8 +21,16 @@ SRC_URI = "git://git.ti.com/ipc/ipcdev.git;protocol=git;branch=${BRANCH}"
S = "${WORKDIR}/git"
-export PLATFORM = "tci6638"
+export PLATFORM = "${TARGET_PLATFORM}"
export PARALLEL_MAKE = "-j 1"
-inherit autotools
+PACKAGES =+ "${PN}-test"
+
+FILES_${PN}-test = "${bindir}/NameServerApp_${TARGET_PLATFORM} \
+ ${bindir}/MessageQApp_${TARGET_PLATFORM} \
+ ${bindir}/MessageQMulti_${TARGET_PLATFORM} \
+ ${bindir}/MessageQBench_${TARGET_PLATFORM} \
+ ${bindir}/ping_rpmsg"
+
+inherit autotools
\ No newline at end of file
--
1.7.9.5
^ permalink raw reply related [flat|nested] 6+ messages in thread* [PATCH] incrementing IPC verion to 3.0.0.16
2013-05-08 0:28 [PATCH] adding ipc 3.x recipe to bitbake Sajesh Kumar Saran
2013-05-08 0:28 ` [PATCH] added test package to ti-ipc recipe Sajesh Kumar Saran
@ 2013-05-08 0:28 ` Sajesh Kumar Saran
2013-05-08 0:28 ` [PATCH] update to run lad at bootup Sajesh Kumar Saran
2013-05-08 1:09 ` [PATCH] adding ipc 3.x recipe to bitbake Denys Dmytriyenko
3 siblings, 0 replies; 6+ messages in thread
From: Sajesh Kumar Saran @ 2013-05-08 0:28 UTC (permalink / raw)
To: meta-arago
---
.../recipes-bsp/ti-ipc/ti-ipc_3.00.00.bb | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/meta-arago-extras/recipes-bsp/ti-ipc/ti-ipc_3.00.00.bb b/meta-arago-extras/recipes-bsp/ti-ipc/ti-ipc_3.00.00.bb
index deb0356..d127020 100644
--- a/meta-arago-extras/recipes-bsp/ti-ipc/ti-ipc_3.00.00.bb
+++ b/meta-arago-extras/recipes-bsp/ti-ipc/ti-ipc_3.00.00.bb
@@ -12,10 +12,10 @@ SECTION = "console"
COMPATIBLE_MACHINE = "keystone"
TARGET_PLATFORM = "tci6638"
-PR = "r18"
+PR = "r19"
BRANCH ?= "master"
-SRCREV = "3.00.00.15_eng"
+SRCREV = "3.00.00.16_eng"
SRC_URI = "git://git.ti.com/ipc/ipcdev.git;protocol=git;branch=${BRANCH}"
--
1.7.9.5
^ permalink raw reply related [flat|nested] 6+ messages in thread* [PATCH] update to run lad at bootup
2013-05-08 0:28 [PATCH] adding ipc 3.x recipe to bitbake Sajesh Kumar Saran
2013-05-08 0:28 ` [PATCH] added test package to ti-ipc recipe Sajesh Kumar Saran
2013-05-08 0:28 ` [PATCH] incrementing IPC verion to 3.0.0.16 Sajesh Kumar Saran
@ 2013-05-08 0:28 ` Sajesh Kumar Saran
2013-05-08 1:12 ` Denys Dmytriyenko
2013-05-08 1:09 ` [PATCH] adding ipc 3.x recipe to bitbake Denys Dmytriyenko
3 siblings, 1 reply; 6+ messages in thread
From: Sajesh Kumar Saran @ 2013-05-08 0:28 UTC (permalink / raw)
To: meta-arago
---
.../recipes-bsp/ti-ipc/ti-ipc_3.00.00.bb | 16 ++++++++++---
.../recipes-bsp/ti-ipc/tiipclad-daemon.sh | 24 ++++++++++++++++++++
2 files changed, 37 insertions(+), 3 deletions(-)
create mode 100755 meta-arago-extras/recipes-bsp/ti-ipc/tiipclad-daemon.sh
diff --git a/meta-arago-extras/recipes-bsp/ti-ipc/ti-ipc_3.00.00.bb b/meta-arago-extras/recipes-bsp/ti-ipc/ti-ipc_3.00.00.bb
index d127020..92f54c0 100644
--- a/meta-arago-extras/recipes-bsp/ti-ipc/ti-ipc_3.00.00.bb
+++ b/meta-arago-extras/recipes-bsp/ti-ipc/ti-ipc_3.00.00.bb
@@ -12,12 +12,12 @@ SECTION = "console"
COMPATIBLE_MACHINE = "keystone"
TARGET_PLATFORM = "tci6638"
-PR = "r19"
+PR = "r21"
BRANCH ?= "master"
SRCREV = "3.00.00.16_eng"
-SRC_URI = "git://git.ti.com/ipc/ipcdev.git;protocol=git;branch=${BRANCH}"
+SRC_URI = "git://git.ti.com/ipc/ipcdev.git;protocol=git;branch=${BRANCH} file://tiipclad-daemon.sh"
S = "${WORKDIR}/git"
@@ -33,4 +33,14 @@ FILES_${PN}-test = "${bindir}/NameServerApp_${TARGET_PLATFORM} \
${bindir}/MessageQBench_${TARGET_PLATFORM} \
${bindir}/ping_rpmsg"
-inherit autotools
\ No newline at end of file
+inherit autotools
+
+INITSCRIPT_NAME = "tiipclad-daemon.sh"
+INITSCRIPT_PARAMS = "defaults 10"
+
+inherit update-rc.d
+
+do_install_append() {
+ install -d ${D}${sysconfdir}/init.d/
+ install -c -m 755 ${WORKDIR}/tiipclad-daemon.sh ${D}${sysconfdir}/init.d/${INITSCRIPT_NAME}
+}
\ No newline at end of file
diff --git a/meta-arago-extras/recipes-bsp/ti-ipc/tiipclad-daemon.sh b/meta-arago-extras/recipes-bsp/ti-ipc/tiipclad-daemon.sh
new file mode 100755
index 0000000..54b3888
--- /dev/null
+++ b/meta-arago-extras/recipes-bsp/ti-ipc/tiipclad-daemon.sh
@@ -0,0 +1,24 @@
+#! /bin/sh
+
+tiipclad_daemon=/usr/bin/lad_tci6638
+tiipclad_params=lad.txt
+
+test -x "$tiipclad_daemon" || exit 0
+
+case "$1" in
+ start)
+ echo -n "Starting tiipclad daemon"
+ start-stop-daemon --start --quiet --exec $tiipclad_daemon $tiipclad_params
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping tiipclad daemon"
+ start-stop-daemon --stop --quiet --pidfile /var/run/tiipclad.pid
+ echo "."
+ ;;
+ *)
+ echo "Usage: /etc/init.d/tiipclad-daemon.sh {start|stop}"
+ exit 1
+esac
+
+exit 0
--
1.7.9.5
^ permalink raw reply related [flat|nested] 6+ messages in thread* Re: [PATCH] update to run lad at bootup
2013-05-08 0:28 ` [PATCH] update to run lad at bootup Sajesh Kumar Saran
@ 2013-05-08 1:12 ` Denys Dmytriyenko
0 siblings, 0 replies; 6+ messages in thread
From: Denys Dmytriyenko @ 2013-05-08 1:12 UTC (permalink / raw)
To: Sajesh Kumar Saran; +Cc: meta-arago
Since this the first time you submit ti-ipc recipe, it is better to squash
those 4 commits into one and submit a single patch...
On Tue, May 07, 2013 at 08:28:10PM -0400, Sajesh Kumar Saran wrote:
> ---
> .../recipes-bsp/ti-ipc/ti-ipc_3.00.00.bb | 16 ++++++++++---
> .../recipes-bsp/ti-ipc/tiipclad-daemon.sh | 24 ++++++++++++++++++++
> 2 files changed, 37 insertions(+), 3 deletions(-)
> create mode 100755 meta-arago-extras/recipes-bsp/ti-ipc/tiipclad-daemon.sh
>
> diff --git a/meta-arago-extras/recipes-bsp/ti-ipc/ti-ipc_3.00.00.bb b/meta-arago-extras/recipes-bsp/ti-ipc/ti-ipc_3.00.00.bb
> index d127020..92f54c0 100644
> --- a/meta-arago-extras/recipes-bsp/ti-ipc/ti-ipc_3.00.00.bb
> +++ b/meta-arago-extras/recipes-bsp/ti-ipc/ti-ipc_3.00.00.bb
> @@ -12,12 +12,12 @@ SECTION = "console"
> COMPATIBLE_MACHINE = "keystone"
> TARGET_PLATFORM = "tci6638"
>
> -PR = "r19"
> +PR = "r21"
>
> BRANCH ?= "master"
> SRCREV = "3.00.00.16_eng"
>
> -SRC_URI = "git://git.ti.com/ipc/ipcdev.git;protocol=git;branch=${BRANCH}"
> +SRC_URI = "git://git.ti.com/ipc/ipcdev.git;protocol=git;branch=${BRANCH} file://tiipclad-daemon.sh"
>
> S = "${WORKDIR}/git"
>
> @@ -33,4 +33,14 @@ FILES_${PN}-test = "${bindir}/NameServerApp_${TARGET_PLATFORM} \
> ${bindir}/MessageQBench_${TARGET_PLATFORM} \
> ${bindir}/ping_rpmsg"
>
> -inherit autotools
> \ No newline at end of file
Can you try to avoid the above warning?
> +inherit autotools
> +
> +INITSCRIPT_NAME = "tiipclad-daemon.sh"
> +INITSCRIPT_PARAMS = "defaults 10"
> +
> +inherit update-rc.d
> +
> +do_install_append() {
> + install -d ${D}${sysconfdir}/init.d/
> + install -c -m 755 ${WORKDIR}/tiipclad-daemon.sh ${D}${sysconfdir}/init.d/${INITSCRIPT_NAME}
> +}
> \ No newline at end of file
Same here.
> diff --git a/meta-arago-extras/recipes-bsp/ti-ipc/tiipclad-daemon.sh b/meta-arago-extras/recipes-bsp/ti-ipc/tiipclad-daemon.sh
> new file mode 100755
> index 0000000..54b3888
> --- /dev/null
> +++ b/meta-arago-extras/recipes-bsp/ti-ipc/tiipclad-daemon.sh
> @@ -0,0 +1,24 @@
> +#! /bin/sh
> +
> +tiipclad_daemon=/usr/bin/lad_tci6638
> +tiipclad_params=lad.txt
> +
> +test -x "$tiipclad_daemon" || exit 0
> +
> +case "$1" in
> + start)
> + echo -n "Starting tiipclad daemon"
> + start-stop-daemon --start --quiet --exec $tiipclad_daemon $tiipclad_params
> + echo "."
> + ;;
> + stop)
> + echo -n "Stopping tiipclad daemon"
> + start-stop-daemon --stop --quiet --pidfile /var/run/tiipclad.pid
> + echo "."
> + ;;
> + *)
> + echo "Usage: /etc/init.d/tiipclad-daemon.sh {start|stop}"
> + exit 1
> +esac
> +
> +exit 0
> --
> 1.7.9.5
>
> _______________________________________________
> meta-arago mailing list
> meta-arago@arago-project.org
> http://arago-project.org/cgi-bin/mailman/listinfo/meta-arago
^ permalink raw reply [flat|nested] 6+ messages in thread
* Re: [PATCH] adding ipc 3.x recipe to bitbake
2013-05-08 0:28 [PATCH] adding ipc 3.x recipe to bitbake Sajesh Kumar Saran
` (2 preceding siblings ...)
2013-05-08 0:28 ` [PATCH] update to run lad at bootup Sajesh Kumar Saran
@ 2013-05-08 1:09 ` Denys Dmytriyenko
3 siblings, 0 replies; 6+ messages in thread
From: Denys Dmytriyenko @ 2013-05-08 1:09 UTC (permalink / raw)
To: Sajesh Kumar Saran; +Cc: meta-arago
Please use the proper commit message. And what does "add to bitbake" mean?
On Tue, May 07, 2013 at 08:28:07PM -0400, Sajesh Kumar Saran wrote:
> ---
> .../recipes-bsp/ti-ipc/ti-ipc_3.00.00.bb | 27 ++++++++++++++++++++
> 1 file changed, 27 insertions(+)
> create mode 100644 meta-arago-extras/recipes-bsp/ti-ipc/ti-ipc_3.00.00.bb
>
> diff --git a/meta-arago-extras/recipes-bsp/ti-ipc/ti-ipc_3.00.00.bb b/meta-arago-extras/recipes-bsp/ti-ipc/ti-ipc_3.00.00.bb
> new file mode 100644
> index 0000000..1e87abc
> --- /dev/null
> +++ b/meta-arago-extras/recipes-bsp/ti-ipc/ti-ipc_3.00.00.bb
This is the successor to the older ti-ipc here:
http://git.yoctoproject.org/cgit/cgit.cgi/meta-ti/tree/recipes-ti/ipc/ti-ipc.inc
Is there anything you need from the old recipe? If ipcdev is the master
repository for ti-ipc these days, we should probably deprecate the old stuff
in meta-ti...
> @@ -0,0 +1,27 @@
> +DESCRIPTION="This support the communication between processors \
> + in a multi-processor environment and communication to peripherals. \
> + This communication includes message passing, streams, and linked lists. \
> + These modules work transparently in both uni-processor and multi-processor \
> + configurations."
> +
> +HOMEPAGE="http://processors.wiki.ti.com/index.php/Category:IPC"
> +
> +LICENSE = "BSD"
> +LIC_FILES_CHKSUM = "file://products.mak;beginline=2;endline=30;md5=195feadf798bb4165bcb1a23ffd50dbb"
> +SECTION = "console"
> +COMPATIBLE_MACHINE = "keystone"
> +
> +PR = "r11"
> +
> +BRANCH ?= "master"
> +SRCREV = "3.00.00.15_eng"
> +
> +SRC_URI = "git://git.ti.com/ipc/ipcdev.git;protocol=git;branch=${BRANCH}"
> +
> +S = "${WORKDIR}/git"
> +
> +export PLATFORM = "tci6638"
> +
> +export PARALLEL_MAKE = "-j 1"
> +
> +inherit autotools
> --
> 1.7.9.5
>
> _______________________________________________
> meta-arago mailing list
> meta-arago@arago-project.org
> http://arago-project.org/cgi-bin/mailman/listinfo/meta-arago
^ permalink raw reply [flat|nested] 6+ messages in thread